Resource Pack
curl --request GET \
--url https://servers.flashrdp.com/api/resourcePack/{resourcePackId} \
--header 'Accept: <accept>' \
--header 'Authorization: Bearer <token>'import requests
url = "https://servers.flashrdp.com/api/resourcePack/{resourcePackId}"
headers = {
"Accept": "<accept>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Accept: '<accept>', Authorization: 'Bearer <token>'}};
fetch('https://servers.flashrdp.com/api/resourcePack/{resourcePackId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"name": "Simple",
"options": [
{
"name": "Germany",
"label": "Hetzner DC Park Falkenstein",
"options": [
{
"name": "Simple",
"options": [
{
"usable": true,
"err": [],
"name": "Create Your Own",
"memory": [
{
"label": "1 GB",
"value": 30
},
{
"label": "3 GB",
"value": 50
},
{
"label": "8 GB",
"value": 100
}
],
"storage": [
{
"label": "10 GB",
"value": 10
},
{
"label": "20 GB",
"value": 30
},
{
"label": "30 GB",
"value": 50
},
{
"label": "40 GB",
"value": 70
},
{
"label": "50 GB",
"value": 90
},
{
"label": "60 GB",
"value": 110
},
{
"label": "70 GB",
"value": 130
},
{
"label": "80 GB",
"value": 150
}
],
"cpuCores": [
{
"label": "1 Core",
"value": 10
},
{
"label": "2 Cores",
"value": 20
},
{
"label": "3 Cores",
"value": 30
},
{
"label": "4 Cores",
"value": 40
},
{
"label": "5 Cores",
"value": 50
},
{
"label": "6 Cores",
"value": 60
},
{
"label": "7 Cores",
"value": 70
},
{
"label": "8 Cores",
"value": 80
}
],
"variable": true,
"createId": "5b342c362c382c362c31325d"
}
]
}
]
}
]
}
]
}This response has no body data.{
"errors": [
"This is an error returned from the API",
"This is another error return from the API"
]
}This response has no body data.Resource Pack
Retrieves all options associated with a resource pack. Use this method to retrieve the createId’s required to create a server.
GET
/
resourcePack
/
{resourcePackId}
Resource Pack
Last modified on June 20, 2026